Cyberduck Mountain Duck CLI

#8238 closed enhancement (fixed)

Interoperability with `..` or `.` in key name

Reported by: bryon Owned by: dkocher
Priority: low Milestone: 7.8.0
Component: openstack Version: 4.5.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

Hello, I seem to have found a bug in the way Cyberduck handles certain container folder names within Cloud FIles. The Cloud Files infrastructure allows a user to create folders using what would usually be reserved as stanard unix based folder handlers, specifically, a user can create a folder named ".." or ".", Cyberduck however does not seem capable of entering such folders.

Change History (8)

comment:1 Changed on Sep 29, 2014 at 12:14:01 PM by dkocher

  • Priority changed from normal to low
  • Summary changed from Inability To Enter Certain Rackspace Cloud Files Containers to Cannot access folders named `..` or `.`

comment:2 Changed on Oct 4, 2014 at 6:32:11 PM by dkocher

  • Component changed from core to cloudfiles
  • Owner set to dkocher

comment:3 Changed on Oct 8, 2014 at 8:35:29 PM by dkocher

  • Type changed from defect to enhancement

comment:4 Changed on Oct 9, 2014 at 12:39:31 PM by dkocher

See also #8064.

comment:5 Changed on Oct 9, 2014 at 12:39:46 PM by dkocher

  • Component changed from cloudfiles to openstack

comment:6 Changed on Oct 9, 2014 at 12:40:05 PM by dkocher

  • Summary changed from Cannot access folders named `..` or `.` to Interoperability with `..` or `.` in key name

comment:7 Changed on Jan 5, 2021 at 7:30:34 PM by dkocher

  • Milestone set to 7.8.0

Can be enabled following r50356.

comment:8 Changed on Jan 6, 2021 at 7:14:50 AM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r50405.

Note: See TracTickets for help on using tickets.